# Command: UpdateWorld

UpdateWorld [anim_speed#]

Parameters:

anim_speed# (optional) - a master control for animation speed. Defaults to 1.

Description:

Animates all entities in the world, and performs collision checking. The optional anim_speed# parameter allows you affect the animation speed of all entities at once. A value of 1 will animate entities at their usual animation speed, a value of 2 will animate entities at double their animation speed, and so on. For best results use this command once per main loop, just before calling RenderWorld.

Example:

None.

Index